<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_centerHorizontal="true">

    <!-- 第一个 ImageView 在最上面居中 -->
    <TextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="12dp"
        android:text="@string/settings"
        android:textSize="20sp"
        android:textStyle="bold" />

    <ImageView
        android:id="@+id/cancel_button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:layout_marginTop="12dp"
        android:layout_marginEnd="16dp"
        android:src="@drawable/close" />

    <!--    <LinearLayout-->
    <!--        android:id="@+id/privacy"-->
    <!--        android:layout_width="match_parent"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:layout_below="@+id/title"-->
    <!--        android:layout_margin="8dp"-->
    <!--        android:background="@drawable/rounded_corners"-->
    <!--        android:gravity="center_vertical"-->
    <!--        android:orientation="horizontal"-->
    <!--        android:padding="8dp">-->

    <!--        <TextView-->
    <!--            android:layout_width="0dp"-->
    <!--            android:layout_height="wrap_content"-->
    <!--            android:layout_weight="1"-->
    <!--            android:paddingRight="8dp"-->
    <!--            android:text="Privacy and security" />-->

    <!--        <ImageView-->
    <!--            android:layout_width="24dp"-->
    <!--            android:layout_height="24dp"-->
    <!--            android:src="@drawable/privacy" />-->
    <!--    </LinearLayout>-->

    <LinearLayout
        android:id="@+id/share"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/title"
        android:layout_margin="8dp"
        android:layout_marginTop="8dp"
        android:background="@drawable/rounded_corners"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:padding="8dp">

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:paddingRight="8dp"
            android:text="Share" />

        <ImageView
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/share" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/version"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/share"
        android:layout_margin="8dp"
        android:layout_marginTop="8dp"
        android:background="@drawable/rounded_corners"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:padding="8dp">

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:paddingEnd="8dp"
            android:text="Version Number" />

        <TextView
            android:id="@+id/version_number"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="1.0.0" />
    </LinearLayout>

    <!-- 底部的空白距离 -->
    <View
        android:layout_width="match_parent"
        android:layout_height="30dp"
        android:layout_below="@+id/version" />
</RelativeLayout>
